#
# spec file for package perl-Apache-AuthNetLDAP (Version 0.18)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  apache apache-devel mm mod_perl perl-Convert-ASN1 perl-ldap
# usedforbuild    aaa_base aaa_dir apache apache-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp mm mod_perl modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl perl-Convert-ASN1 perl-ldap ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-Apache-AuthNetLDAP
%define apache_includedir   	%(apxs -q INCLUDEDIR)
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define version_apache		%(rpm -q --queryformat '%{version}' apache)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     Apache-AuthNetLDAP
Requires:     perl = %{version_perl} 
Requires:     apache = %{version_apache}
Requires:     mod_perl perl-ldap perl-Convert-ASN1
Conflicts:    perlmod
Autoreqprov:  on
Version:      0.18
Release:      165
Source0:      apache.authnetldap.018.tar.gz
Source1:      apache.authznetldap.02.tar.gz
Summary:      use Net::LDAP for user authentication in Apache
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
Apache::AuthNetLDAP - mod_perl module that uses the Net::LDAP module
for user authentication for Apache.  This module authenticates users
via LDAP using the Net::LDAP module. This module is Graham Barr's
"pure" Perl LDAP API.  It also uses all of the same parameters as the
Apache::AuthPerLDAP, but I have added two extra parameters.

Authors:
--------
    Mark Wilcox <mewilcox@unt.edu>

SuSE series: perl

%prep 
%setup -n %{name}-%{version} -c %{name}-%{version}
%setup -n %{name}-%{version} -c %{name}-%{version} -a 1 -T -D

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
for i in AuthNetLDAP Apache/AuthzNetLDAP ; do
	pushd $i ;
	perl Makefile.PL
	make all
	make test
	popd
done

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
for i in AuthNetLDAP Apache/AuthzNetLDAP ; do
	pushd $i
	make PREFIX=$RPM_BUILD_ROOT/usr \
        	INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
	        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	        install
	popd 
done
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/AuthNetLDAP/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Apache/AuthzNetLDAP/
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc AuthNetLDAP/Changes AuthNetLDAP/MANIFEST AuthNetLDAP/README AuthNetLDAP/test.pl
%{perl_sitearch}/auto/Apache/AuthNetLDAP/
%{perl_sitearch}/auto/Apache/AuthzNetLDAP/
%{perl_installsitelib}/Apache/AuthNetLDAP.pm
%{perl_installsitelib}/Apache/AuthzNetLDAP.pm
%doc %{_mandir}/man3/Apache::AuthNetLDAP.3pm.gz
%doc %{_mandir}/man3/Apache::AuthzNetLDAP.3pm.gz
/var/adm/perl-modules/%{name}

%changelog -n perl-Apache-AuthNetLDAP
* Fri Feb 23 2001 - ro@suse.de
- changed neededforbuild <apache> to <apache apache-devel>
* Tue Nov 21 2000 - rolf@suse.de
- extracted from perlmod package
- update to authnetldap.018
